curl --request POST \
--url https://api.getmembrane.com/data-link-tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"meta": {},
"uuid": "<string>",
"description": "<string>",
"archivedAt": "<string>"
}
'import requests
url = "https://api.getmembrane.com/data-link-tables"
payload = {
"name": "<string>",
"key": "<string>",
"meta": {},
"uuid": "<string>",
"description": "<string>",
"archivedAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
meta: {},
uuid: '<string>',
description: '<string>',
archivedAt: '<string>'
})
};
fetch('https://api.getmembrane.com/data-link-tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"revision": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"connectionId": "<string>",
"instanceKey": "<string>",
"dataLinkTableId": "<string>",
"userId": "<string>",
"tenantId": "<string>",
"integrationId": "<string>",
"isCustomized": true,
"user": {},
"connection": {},
"integration": {},
"dataLinkTable": {}
}Create data link table
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Internal database ID of the element. Assigned by the API; unique per element.
Display name. Always present in API responses (filled by API if not set on create).
Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.
Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.
Optional human-readable description.
Optional key-value metadata.
Show child attributes
Show child attributes
Current lifecycle or health state (e.g. READY, SETUP_FAILED, CONFIGURATION_ERROR, BUILDING). Set by the engine during setup and validation.
BUILDING, CLIENT_ACTION_REQUIRED, CONFIGURATION_ERROR, SETUP_FAILED, READY, DISCONNECTING Validation or setup errors when state is not READY.
Show child attributes
Show child attributes
Opaque revision token; changes on each update. Used for optimistic concurrency.
ISO date when the element was created.
ISO date when the element was last updated.
When true, setup is skipped and the element is treated as inactive (e.g. when dependencies are deactivated or the element is archived).
When true, the element cannot be modified (e.g. published package elements or elements from another workspace).
Was this page helpful?